<?xml version="1.0" encoding="UTF-8"?>
<!-- JBoss, Home of Professional Open Source Copyright 2013, Red Hat, Inc. 
	and/or its affiliates, and individual contributors by the @authors tag. See 
	the copyright.txt in the distribution for a full listing of individual contributors. 
	Licensed under the Apache License, Version 2.0 (the "License"); you may not 
	use this file except in compliance with the License. You may obtain a copy 
	of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required 
	by applicable law or agreed to in writing, software distributed under the 
	License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS 
	OF ANY KIND, either express or implied. See the License for the specific 
	language governing permissions and limitations under the License. -->
<!-- This is an unmanaged datasource. It should be used for proofs of concept 
	or testing only. It uses H2, an in memory database that ships with JBoss 
	AS. -->
<datasources xmlns="http://www.jboss.org/ironjacamar/schema"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.jboss.org/ironjacamar/schema http://docs.jboss.org/ironjacamar/schema/datasources_1_0.xsd">
	<!-- The datasource is bound into JNDI at this location. We reference this 
		in META-INF/persistence.xml -->
	<datasource jndi-name="java:jboss/datasources/EjbJaxRSDS"
		pool-name="EjbJaxRS" enabled="true" use-java-context="true">
		<connection-url>jdbc:h2:mem:EjbJaxRS;DB_CLOSE_ON_EXIT=FALSE;DB_CLOSE_DELAY=-1</connection-url>
		<driver>h2</driver>
		<security>
			<user-name>sa</user-name>
			<password>sa</password>
		</security>
	</datasource>
	<datasource jndi-name="java:jboss/datasources/PostgresDS" pool-name="EjbJaxRS"
        enabled="true" use-java-context="true">
          <connection-url>jdbc:postgresql://localhost:5432/electiva5DB</connection-url>
          <driver-class>org.postgresql.Driver</driver-class>
          <driver>postgresql-42.0.0.jar</driver>
          
         <security>
            <user-name>postgres</user-name>
            <password>123456</password>
        </security>
    </datasource>
</datasources>
 
